Very Few Compatible Apps in Marketplace?


  1. cody.bilmar

    cody.bilmar New Member

    My DX was rooted using Liberty/ROM Toolbox and is running Liberty Froyo. I never got the Marketplace update, and have been unable to get it to update. My problem is, there are very few apps left in the market that are compatible with my phone, as if my phone is ancient. Anyone know how to fix this issue?

    Advertisement
    :
  2. Clevo89

    Clevo89 Well-Known Member

    Buy a new phone?
  3. Droidtothemax

    Droidtothemax Well-Known Member

    I forget where it is, but IIRC you can go to a site to download the new market place, which may or may not be more compatiable with your phone.

    Sorry, not much help. Just site eluding me right now.

    Terrible response by the way to previous poster.
  4. Clevo89

    Clevo89 Well-Known Member

    Not really.... the side effect of the upgrade cycles is that eventually you need the hardware to keep up with the latest software. We are then faced with choices based on time efficiencies. We can spend hours fighting with software to fit in with what we have but there is a diminishing point or value return depending on how much you value your time.

    Sometimes it's just a hell of a lot easier to by a new phone.

    Beside which I actually read the OP. The OP mentioned the previous attempts to install the new market place app and even if the OP coul the Op mentioned that "there are very few apps left in the market that are compatible with my phone"

    The really logical question if that's the case is why bother to install the new market app in the first place but I let than one go through to the keeper.

    in essence...the only short succinct reply was asking the question of the possiblility of buying a new phone. heck...the system is designed for consumerism burn & churn. in the light of all this so far the best suggestion...one that would actually work and save the OP a few potential headaches.

    :)
  5. flamer

    flamer Well-Known Member

    had the same issue on one of my phones, copied a later version of marketplace on to it and then it was all good. You can check what version of marketplace you have, think the latest is about 3.2something.

    I can send you the apk if you like, just pm me.
  6. Slug

    Slug Check six! Moderator

    The OP is running a Droid X with a custom Android 2.2 firmware. That is hardly an obsolete platform, and should be compatible with the vast majority of apps in the Market.
Loading...

Share This Page